Bug 236000

Summary: audio/sonic-visualiser: update to 4.0.1
Product: Ports & Packages Reporter: kunda <chitty_cloud>
Component: Individual Port(s)Assignee: Yuri Victorovich <yuri>
Status: Closed FIXED    
Severity: Affects Only Me CC: pi, transitive, uddka, yuri
Priority: --- Keywords: needs-patch
Version: LatestFlags: bugzilla: maintainer-feedback? (uddka)
Hardware: Any   
OS: Any   
Bug Depends on: 244513    
Bug Blocks:    
Attachments:
Description Flags
patch-not-yet-working
none
audio/sonic-visualiser poudriere log of build failure none

Comment 1 Kurt Jaeger freebsd_committer 2019-02-24 20:05:36 UTC
Created attachment 202337 [details]
patch-not-yet-working

Here's a partial patch. It needs additional work, still fails to build.
Comment 2 kunda 2019-07-15 18:00:42 UTC
3.3 released
https://code.soundsoftware.ac.uk/attachments/download/2491/sonic-visualiser-3.3.tar.gz

Changes in Sonic Visualiser v3.3 (Apr 2019) since the previous release 3.2.1:

 - Add support for reading the Opus audio codec on all platforms

 - Add support for WMA and AAC formats on 64-bit Windows. (AAC was
   already supported on macOS.) Note that AAC support on Windows does
   not support "gapless" import, i.e. removing the encoder gaps at
   start and end of the stream

 - Add ability to choose the field separator when importing CSV and
   CSV-like files, if more than one possible candidate separator is
   found in the file

 - Fix crash when closing session or starting a new session while
   calculating alignment of multiple audio files

 - Fix crash when running certain plugins that call for
   frequency-domain input at non-power-of-two block sizes

 - Fix wandering left edge of measure-tool rectangle while dragging
   out the area

 - Ensure that plugin stderr debug output is logged to the SV log file
Comment 3 kunda 2020-02-17 10:42:12 UTC
4.0.1 released
Changelog from https://code.soundsoftware.ac.uk/projects/sonic-visualiser/repository/entry/CHANGELOG

Changes in Sonic Visualiser v4.0.1 (10 Dec 2019) since the previous release 4.0:
 - Fix nonsense vertical scale in NoteLayer when displaying a model
   with non-Hz scale (e.g. from an analysis plugin that outputs MIDI
   note values)
 - Fix failure to open playback device when using macOS Catalina with
   certain audio devices
 - Fix failure to make installed executables executable when
   compiling and installing the source package
Changes in Sonic Visualiser v4.0 (25 Oct 2019) since the previous release 3.3:
 - Add Box annotation layer type, typically used for time-frequency
   boxes to be annotated over a spectrogram. Because this introduces a
   new layer type into the session file format, the major version
   number has been bumped to v4.0. Sessions saved from v4.0 can still
   be opened in earlier versions of Sonic Visualiser, but any Box
   layers will not be loaded
 - Fix behaviour of auto-align layers on top of waveform: they can now
   be aligned in the vertical scale, if they have a unit of V and the
   waveform is of a single channel in linear or dB mode
 - Make the UI more readable in macOS "dark mode"
 - Fix sluggishness in starting and stopping playback when using
   PulseAudio v13.0+
Comment 4 Yuri Victorovich freebsd_committer 2020-04-16 18:36:31 UTC
Needs audio/vamp-plugin-sdk version 2.9.0
Comment 5 Yuri Victorovich freebsd_committer 2020-04-17 00:21:19 UTC
Update to 4.0.1 committed.
Comment 6 commit-hook freebsd_committer 2020-04-17 00:21:19 UTC
A commit references this bug:

Author: yuri
Date: Fri Apr 17 00:21:04 UTC 2020
New revision: 531889
URL: https://svnweb.freebsd.org/changeset/ports/531889

Log:
  audio/sonic-visualiser: Update 2.5 -> 4.0.1

  A lot of changes:
  * Merge some options with the port because they aren't project options any more
  * Enable JACK and PULSEAUDIO by default
  * Install additonal executables required for the package to run
  * Remove the bundled vamp-plugin-sdk directory because the port dependency is used
  * Cleanly remove all internal links with vamp-plugin-sdk, not rebuilding it many times any more
  * Change WWW to the https URL

  PR:		236000
  Submitted by:	kunda <chitty_cloud@me.com> (preliminary patch version 3.2.1)
  Approved by:	uddka@student.kit.edu (maintainer timeout; 1 year and 50 days)

Changes:
  head/audio/sonic-visualiser/Makefile
  head/audio/sonic-visualiser/distinfo
  head/audio/sonic-visualiser/files/patch-base.pro
  head/audio/sonic-visualiser/files/patch-bqvec_src_VectorOpsComplex.cpp
  head/audio/sonic-visualiser/files/patch-config.pri.in
  head/audio/sonic-visualiser/files/patch-configure.ac
  head/audio/sonic-visualiser/files/patch-convert.pro
  head/audio/sonic-visualiser/files/patch-server.pro
  head/audio/sonic-visualiser/files/patch-sonic-visualiser.pro
  head/audio/sonic-visualiser/files/patch-sv.pro
  head/audio/sonic-visualiser/files/patch-svapp_audioio_AudioJACKTarget.cpp
  head/audio/sonic-visualiser/files/patch-svcore_base_RealTime.cpp
  head/audio/sonic-visualiser/pkg-descr
  head/audio/sonic-visualiser/pkg-plist
Comment 7 commit-hook freebsd_committer 2020-04-17 06:45:43 UTC
A commit references this bug:

Author: yuri
Date: Fri Apr 17 06:45:07 UTC 2020
New revision: 531903
URL: https://svnweb.freebsd.org/changeset/ports/531903

Log:
  audio/sonic-visualiser: Disable PORTAUDIO by default

  PR:		236000 (addition)
  Reported by:	danfe
  Approved by:	uddka@student.kit.edu

Changes:
  head/audio/sonic-visualiser/Makefile
Comment 8 Robert Cina 2020-04-18 13:50:42 UTC
This port fails to build for me using poudriere after the update to 4.0.1. The specific error is at

src/plugincandidates.cpp:235:7: error: 'start' is deprecated: Use QElapsedTimer instead [-Werror,-Wdeprecated-declarations]
    t.start();

The following shows the relevant output of the error I get on my 12.1-Stable system:

/mkspecs/freebsd-clang -o o/knownplugincandidates.o src/knownplugincandidates.cpp
clang++ -c -pipe -Werror -O2 -fPIC -std=gnu++11 -Wall -Wextra -pthread -DQT_NO_DEBUG -DQT_CORE_LIB -I. -Ichecker -I/usr/local/include/qt5 -I/usr/local/include/qt5/QtCore -Io -I/usr/local/include -I/usr/local/lib/qt5/mkspecs/freebsd-clang -o o/knownplugins.o src/knownplugins.cpp
src/plugincandidates.cpp:235:7: error: 'start' is deprecated: Use QElapsedTimer instead [-Werror,-Wdeprecated-declarations]
    t.start();
      ^
/usr/local/include/qt5/QtCore/qdatetime.h:228:5: note: 'start' has been explicitly marked deprecated here
    QT_DEPRECATED_X("Use QElapsedTimer instead") void start();
    ^
/usr/local/include/qt5/QtCore/qglobal.h:294:33: note: expanded from macro 'QT_DEPRECATED_X'
#  define QT_DEPRECATED_X(text) Q_DECL_DEPRECATED_X(text)
                                ^
/usr/local/include/qt5/QtCore/qcompilerdetection.h:676:55: note: expanded from macro 'Q_DECL_DEPRECATED_X'
#    define Q_DECL_DEPRECATED_X(text) __attribute__ ((__deprecated__(text)))
                                                      ^
src/plugincandidates.cpp:256:23: error: 'elapsed' is deprecated: Use QElapsedTimer instead [-Werror,-Wdeprecated-declarations]
                if (t.elapsed() > timeout) {
                      ^
/usr/local/include/qt5/QtCore/qdatetime.h:230:5: note: 'elapsed' has been explicitly marked deprecated here
    QT_DEPRECATED_X("Use QElapsedTimer instead") int elapsed() const;
    ^
/usr/local/include/qt5/QtCore/qglobal.h:294:33: note: expanded from macro 'QT_DEPRECATED_X'
#  define QT_DEPRECATED_X(text) Q_DECL_DEPRECATED_X(text)
                                ^
/usr/local/include/qt5/QtCore/qcompilerdetection.h:676:55: note: expanded from macro 'Q_DECL_DEPRECATED_X'
#    define Q_DECL_DEPRECATED_X(text) __attribute__ ((__deprecated__(text)))
                                                      ^
2 errors generated.
gmake[3]: *** [Makefile.checker-lib:434: o/plugincandidates.o] Error 1
gmake[3]: Leaving directory '/wrkdirs/usr/ports/audio/sonic-visualiser/work/sonic-visualiser-4.0.1/checker'
gmake[2]: *** [Makefile:50: sub-checker-lib-pro-all-ordered] Error 2
gmake[2]: Leaving directory '/wrkdirs/usr/ports/audio/sonic-visualiser/work/sonic-visualiser-4.0.1/checker'
gmake[1]: *** [Makefile:86: sub-checker-all-ordered] Error 2
gmake[1]: Leaving directory '/wrkdirs/usr/ports/audio/sonic-visualiser/work/sonic-visualiser-4.0.1'
===> Compilation failed unexpectedly.
Try to set MAKE_JOBS_UNSAFE=yes and rebuild before reporting the failure to
the maintainer.
*** Error code 1

Stop.
make: stopped in /usr/ports/audio/sonic-visualiser
=>> Cleaning up wrkdir
===>  Cleaning for sonic-visualiser-4.0.1_1
build of audio/sonic-visualiser | sonic-visualiser-4.0.1_1 ended at Sat Apr 18 09:39:53 EDT 2020
build time: 00:04:10
!!! build failure encountered !!!
Comment 9 Yuri Victorovich freebsd_committer 2020-04-18 18:20:01 UTC
(In reply to Robert Cina from comment #8)

Hi Robert,

It builds on 12.0 in a central build: http://beefy6.nyi.freebsd.org/data/120amd64-default/527397/logs/sonic-visualiser-2.5_5.log

It also builds on 12.1 REALEASE in for me: https://people.freebsd.org/~yuri/sonic-visualiser-4.0.1.log

Are you sure that you have your ports tree up-to-date?


Yuri
Comment 10 Robert Cina 2020-04-18 20:04:46 UTC
I just deleted and recreated my ports tree again to make sure nothing was wrong with it and it is up to date.  I still experience the same issue and error building the port.
Comment 11 Robert Cina 2020-04-18 20:05:45 UTC
Created attachment 213549 [details]
audio/sonic-visualiser poudriere log of build failure

I've attached the poudriere build log of the failure if that helps.
Comment 12 Yuri Victorovich freebsd_committer 2020-04-18 20:51:58 UTC
(In reply to Robert Cina from comment #11)

The use of QTimer::start in the code is exactly how the example in the latest Qt documentation suggests: https://doc.qt.io/qt-5/qtime.html#start
Deprecation isn't mentioned there.

The upstream bug report: https://sourceforge.net/p/sv1/bugs/280/
Comment 13 Yuri Victorovich freebsd_committer 2020-04-19 00:19:01 UTC
Thanks for reporting this new build error.
Comment 14 commit-hook freebsd_committer 2020-04-19 00:19:09 UTC
A commit references this bug:

Author: yuri
Date: Sun Apr 19 00:18:39 UTC 2020
New revision: 532053
URL: https://svnweb.freebsd.org/changeset/ports/532053

Log:
  audio/sonic-visualiser: Fix the build error

  qt5-core-5.14.2 has QTimer::start() marked as deprecated, but -Werror promoted this warning to error.

  PR:		236000
  Reported by:	Robert Cina <transitive@gmail.com>

Changes:
  head/audio/sonic-visualiser/Makefile